### Class method

# Gtk CellAreaClasslist_cell_properties

deprecated: 4.10

#### Declaration [src]

    GParamSpec**
    gtk_cell_area_class_list_cell_properties (
      GtkCellAreaClass* aclass,
      guint* n_properties
    )

#### Description [src]

Returns all cell properties of a cell area class.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`n_properties`

  Type: `guint*`

  Location to return the number of cell properties found.

  The argument will be set by the function.

#### Return value

Type:&nsbp;An array of `GParamSpec*`

A newly allocated `NULL`-terminated array of `GParamSpec`*. The array must be freed with g_free().

The length of the array is in the `n_properties` argument.
The caller of the method takes ownership of the data container, but not the data inside it.